CreateBareMetal2Instance
CreateBareMetal2Instance
/zstack/v1/baremetal2/bm-instancesOperation ID
CreateBareMetal2InstanceSince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe bare metal instance name.
descriptionStringOptional. The detailed description of the bare metal instance.
zoneUuidStringOptional. The zone UUID.
clusterUuidStringOptional. The cluster UUID.
gatewayUuidStringOptional. The gateway UUID.
chassisUuidStringOptional. The bare metal chassis UUID.
chassisOfferingUuidStringOptional. The chassis offering UUID.
imageUuidStringOptional. The image UUID.
primaryStorageUuidForRootVolumeStringOptional. The UUID of the primary storage where the root volume resides.
primaryStorageUuidForDataVolumeStringOptional. The UUID of the primary storage where data volumes resides.
dataDiskOfferingUuidsListOptional. The data volume offering UUID.
rootVolumeSystemTagsListOptional. The root volume offering UUID.
dataVolumeSystemTagsListOptional. The system tags of data volumes.
gatewayAllocatorStrategyStringOptional. The gateway allocation policy.
resourceUuidStringOptional. The bare metal instance UUID.
tagUuidsListOptional. The tag UUIDs.
chassisDiskUuidStringOptional, The UUID of the local disk.
l3NetworkUuidsListThe L3 network UUID list.
defaultL3NetworkUuidStringOptional. The UUID of the default L3 network.
vmNicParamsStringOptional.The information of the vmNic
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKChange History
View all change historyChange Time
AddedRequest body fields defaultL3NetworkUuid, l3NetworkUuids, vmNicParamsView API
